#
# Conditional build:
%bcond_without	static_libs

Summary:	Library for providing superuser privileges
Summary(pl.UTF-8):	Biblioteka do udostępniania uprawnień superużytkownika
Name:		libgnomesu
Version:	1.0.0
Release:	12
License:	LGPL v2+
Group:		X11/Applications
Source0:	http://members.chello.nl/~h.lai/libgnomesu/%{name}-%{version}.tar.gz
# Source0-md5:	9f1cb8c3f61ad2fb31ad05a5d3eb211d
Patch0:		%{name}-xauth-nolookup.patch
Patch1:		%{name}-mainloop.patch
Patch2:		%{name}-unsetenv.patch
Patch3:		%{name}-modernize.patch
Patch4:		%{name}-startup-notification.patch
Patch5:		%{name}-pam-handling.patch
Patch6:		%{name}-drop-libgnomeui.patch
Patch7:		%{name}-safe-path.patch
Patch8:		%{name}-remove-prior-cookie.patch
Patch9:		%{name}-i18n.patch
Patch10:	%{name}-memory-cleaning.patch
Patch11:	%{name}-format.patch
Patch12:	%{name}-libdir.patch
URL:		http://members.chello.nl/~h.lai/libgnomesu/
BuildRequires:	GConf2-devel >= 2.0
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	gtk+2-devel >= 1:2.0
BuildRequires:	libgnomeui-devel >= 2.10.0-2
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
Requires:	%{name}-libs = %{version}-%{release}
Provides:	gnomesu = %{version}-%{release}
Obsoletes:	gnomesu
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgnomesu is a library for providing superuser privileges to GNOME
applications. It supports sudo, consolehelper, PAM and su.

This package contains actual gnomesu program and backends.

%description -l pl.UTF-8
libgnomesu to biblioteka do udostępniania uprawnień superużytkownika
aplikacjom GNOME. Obsługuje sudo, consolehelper, PAM i su.

Ten pakiet zawiera właściwy program gnomesu i backendy.

%package libs
Summary:	libgnomesu library itself
Summary(pl.UTF-8):	Sama biblioteka libgnomesu
Group:		X11/Libraries

%description libs
libgnomesu library itself.

%description libs -l pl.UTF-8
Sama biblioteka libgnomesu.

%package devel
Summary:	Headers for libgnomesu
Summary(pl.UTF-8):	Pliki nagłówkowe libgnomesu
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 2.0

%description devel
Libraries and include files that you will need to use libgnomesu.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do kompilowania programów korzystających z
libgnomesu.

%package static
Summary:	Static libgnomesu libraries
Summary(pl.UTF-8):	Statyczne biblioteki libgnomesu
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libgnomesu libraries.

%description static -l pl.UTF-8
Statyczna wersja bibliotek libgnomesu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

%build
%configure \
	--disable-schemas-install \
	--disable-setuid-error \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

chmod 755 $RPM_BUILD_ROOT%{_libexecdir}/gnomesu*backend

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgnomesu.la

%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/{sr@Latn,sr@latin}

%find_lang %{name}-1.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}-1.0.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/gnomesu-pam
%attr(755,root,root) %{_bindir}/gnomesu
%attr(4755,root,root) %{_libexecdir}/gnomesu-backend
%attr(4755,root,root) %{_libexecdir}/gnomesu-pam-backend
%{_datadir}/application-registry/gnomesu-nautilus.applications
%{_datadir}/mime-info/gnomesu-nautilus.keys

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomesu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomesu.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/api.html doc/libgnomesu.css
%attr(755,root,root) %{_libdir}/libgnomesu.so
%{_includedir}/libgnomesu-1.0
%{_pkgconfigdir}/libgnomesu-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomesu.a
%endif
%changelog
* Wed Feb 01 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgnomesu.git;a=log;h=master

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 1fbb4b0
- Release 12 (by relup.sh)

* Sat Sep 05 2020 Jakub Bogusz <qboosh@pld-linux.org> fde05b6
- added libdir patch (fix libdir in .pc file)
- devel R: glib2-devel
- drop .la file
- release 11

* Mon Mar 25 2019 Jan Rękorajski <baggins@pld-linux.org> 095b1a5
- release 10 (by relup.sh)

* Fri Mar 15 2019 Jan Palus <atler@pld-linux.org> a7c82ec
- adjust for new %{_libexecdir}; rel 9

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> f09dda5
- updated gettext BR

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 806c54a
- release 8 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ba6cfc
- release 7 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b92c028
- release 6 (by relup.sh)

* Sun Jan 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 1df270c
- added format patch (fixes build with -Werror=format-security)
- rename sr@Latn locale to sr@latin
- release 5

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ceda9d
- release 4

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c18351
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 00c5830
- release 2

* Thu Nov 25 2010 hawk <hawk@pld-linux.org> 905363f
- merged from OpenSUSE: let GTK+ remove passwords from memory

* Thu Nov 25 2010 hawk <hawk@pld-linux.org> b158fa6
- merged from OpenSUSE: fix translatability

* Thu Nov 25 2010 hawk <hawk@pld-linux.org> 6db6637
- merged from OpenSUSE: remove old, potentially broken xauth cookies

* Thu Nov 25 2010 hawk <hawk@pld-linux.org> a6942fe
- merged from OpenSUSE: when making $PATH safer, try to keep what's
  relevant from $PATH

* Thu Nov 25 2010 hawk <hawk@pld-linux.org> 78cc185
- merged from OpenSUSE: drop libgnomeui dependency

* Thu Nov 25 2010 hawk <hawk@pld-linux.org> 7075212
- merged from OpenSUSE: handle PAM errors during authentication in a more
  extensive way, to give better feedback

* Thu Nov 25 2010 hawk <hawk@pld-linux.org> d649ea1
- merged from OpenSUSE: forward startup notification information when
  there's no authentication dialog

* Thu Nov 25 2010 hawk <hawk@pld-linux.org> 2758f1e
- merged from OpenSUSE: make gnomesu look and act more like PolicyKit-gnome
  (HIG compliant, use the icon theme, etc.)

